import React from 'react';
import { render } from '@testing-library/react';
import Fieldset from './Fieldset';

describe('<Fieldset>', () => {
  it('renders a fieldset with a legend and children elements', () => {
    const legend = () => <strong>Zelda</strong>;

    const { getByRole, getByText } = render(
      <Fieldset legend={legend()}>
        <blockquote>It&apos;s dangerous to go alone! take this.🗡️</blockquote>
      </Fieldset>,
    );
    const fieldset = getByRole('group');
    expect(fieldset).toBeInTheDocument();
    expect(getByText(/zelda/i)).toBeInTheDocument();
    expect(getByText(/take this/i)).toBeInTheDocument();
    expect(getByText(/🗡️/)).toBeInTheDocument();
  });
});
