import React from 'react';
import { render } from '@testing-library/react';
import Spinner from './Spinner';

describe('<Spinner>', () => {
  it('renders spinning loading indicator: default', () => {
    const { getByRole } = render(<Spinner />);
    const spinner = getByRole('progressbar');
    expect(spinner).toBeInTheDocument();
    expect(spinner).not.toHaveClass('big');
  });
});

describe.each([
  ['small', false],
  ['big', true],
])('<Spinner>', (_, big: boolean) => {
  it(`renders spinning loading indicator: %s`, () => {
    const { getByRole } = render(<Spinner loading={true} big={big} />);
    const spinner = getByRole('progressbar');
    expect(spinner).toBeInTheDocument();
  });

  it(`Does not render spinning loading indicator: %s`, () => {
    const { queryByRole } = render(<Spinner loading={false} big={big} />);
    const spinners = queryByRole('progressbar');
    expect(spinners).toBe(null);
  });
});
