import React from 'react';

export interface SpinnerProps {
  big?: boolean;
  loading?: boolean;
}

export const Spinner: React.FC<SpinnerProps> = ({
  big = false,
  loading = true,
}: SpinnerProps) => {
  if (!loading) return <div className="spinner"></div>;
  const classes = ['spinner', 'loading'];
  if (big) classes.push('big');
  return (
    <div
      className={classes.join(' ')}
      role="progressbar"
      aria-label="Loading"
    ></div>
  );
};

export default Spinner;
